#include "Types.r"
#include "SysTypes.r"


resource 'MENU' (128, "Apple", preload) {
	128,
	textMenuProc,
	0x7FFFFFFD,
	enabled,
	apple,
	{	/* array: 2 elements */
		/* [1] */
		"About ATP Demo", noIcon, noKey, noMark, plain,
		/* [2] */
		"-", noIcon, noKey, noMark, plain
	}
};

resource 'MENU' (129, "File", preload) {
	129,
	textMenuProc,
	allEnabled,
	enabled,
	"File",
	{	/* array: 2 elements */
		/* [1] */
		"Close", noIcon, noKey, noMark, plain,
		/* [2] */
		"Quit", noIcon, "Q", noMark, plain
	}
};

resource 'MENU' (130, "Edit", preload) {
	130,
	textMenuProc,
	allEnabled,
	enabled,
	"Edit",
	{	/* array: 6 elements */
		/* [1] */
		"Undo", noIcon, "Z", noMark, plain,
		/* [2] */
		"-", noIcon, noKey, noMark, plain,
		/* [3] */
		"Cut", noIcon, "X", noMark, plain,
		/* [4] */
		"Copy", noIcon, "C", noMark, plain,
		/* [5] */
		"Paste", noIcon, "V", noMark, plain,
		/* [6] */
		"Clear", noIcon, noKey, noMark, plain
	}
};

resource 'MENU' (131) {
	131,
	textMenuProc,
	0x7FFFFFFB,
	enabled,
	"Request Options",
	{	/* array: 5 elements */
		/* [1] */
		"request clock time", noIcon, noKey, noMark, plain,
		/* [2] */
		"request \"data\"", noIcon, noKey, noMark, plain,
		/* [3] */
		"-", noIcon, noKey, noMark, plain,
		/* [4] */
		"single request only", noIcon, noKey, noMark, plain,
		/* [5] */
		"continuous requests", noIcon, noKey, noMark, plain
	}
};

resource 'DLOG' (128) {
	{40, 40, 169, 313},
	documentProc,
	invisible,
	noGoAway,
	0x0,
	128,
	""
};

resource 'DLOG' (130) {
	{40, 40, 224, 276},
	documentProc,
	invisible,
	noGoAway,
	0x0,
	130,
	""
};

resource 'DLOG' (129) {
	{41, 2, 215, 444},
	noGrowDocProc,
	visible,
	noGoAway,
	0x0,
	129,
	""
};

resource 'DITL' (128) {
	{	/* array DITLarray: 5 elements */
		/* [1] */
		{88, 180, 108, 260},
		Button {
			enabled,
			"OK"
		},
		/* [2] */
		{8, 8, 24, 214},
		StaticText {
			disabled,
			"ATP Demo"
		},
		/* [3] */
		{32, 8, 48, 237},
		StaticText {
			disabled,
			"Copyright  1994 Apple Computer"
		},
		/* [4] */
		{56, 8, 72, 136},
		StaticText {
			disabled,
			"Brought to you by:"
		},
		/* [5] */
		{80, 24, 112, 167},
		StaticText {
			disabled,
			"Macintosh Developer Technical Support"
		}
	}
};

resource 'DITL' (130) {
	{	/* array DITLarray: 2 elements */
		/* [1] */
		{123, 131, 143, 189},
		Button {
			enabled,
			"OK"
		},
		/* [2] */
		{36, 23, 88, 192},
		StaticText {
			disabled,
			"^0"
		}
	}
};

resource 'DITL' (129) {
	{	/* array DITLarray: 12 elements */
		/* [1] */
		{43, 49, 62, 200},
		UserItem {
			disabled
		},
		/* [2] */
		{69, 49, 88, 200},
		UserItem {
			disabled
		},
		/* [3] */
		{97, 20, 114, 186},
		CheckBox {
			enabled,
			"Filter on \"atp\" types"
		},
		/* [4] */
		{121, 49, 139, 198},
		UserItem {
			disabled
		},
		/* [5] */
		{45, 13, 61, 49},
		StaticText {
			disabled,
			"Object"
		},
		/* [6] */
		{71, 12, 87, 48},
		StaticText {
			disabled,
			"Type"
		},
		/* [7] */
		{123, 14, 138, 46},
		StaticText {
			disabled,
			"Zone"
		},
		/* [8] */
		{23, 7, 154, 206},
		UserItem {
			disabled
		},
		/* [9] */
		{49, 260, 69, 416},
		StaticText {
			enabled,
			""
		},
		/* [10] */
		{97, 281, 123, 390},
		Button {
			enabled,
			"Send Request"
		},
		/* [11] */
		{41, 254, 72, 423},
		StaticText {
			enabled,
			""
		},
		/* [12] */
		{137, 253, 153, 423},
		StaticText {
			enabled,
			""
		}
	}
};

resource 'ALRT' (128) {
	{38, 75, 158, 347},
	128,
	{	/* array: 4 elements */
		/* [1] */
		OK, visible, silent,
		/* [2] */
		OK, visible, silent,
		/* [3] */
		OK, visible, silent,
		/* [4] */
		OK, visible, silent
	}
};

resource 'ALRT' (130) {
	{40, 40, 240, 280},
	130,
	{	/* array: 4 elements */
		/* [1] */
		OK, visible, sound1,
		/* [2] */
		OK, visible, sound1,
		/* [3] */
		OK, visible, sound1,
		/* [4] */
		OK, visible, sound1
	}
};

resource 'SIZE' (-1) {
	reserved,
	acceptSuspendResumeEvents,
	reserved,
	canBackground,
	multiFinderAware,
	backgroundAndForeground,
	dontGetFrontClicks,
	ignoreChildDiedEvents,
	not32BitCompatible,
	notHighLevelEventAware,
	onlyLocalHLEvents,
	notStationeryAware,
	dontUseTextEditServices,
	reserved,
	reserved,
	reserved,
	288000,
	288000
};

resource 'MBAR' (128) {
	{	/* array MenuArray: 4 elements */
		/* [1] */
		128,
		/* [2] */
		129,
		/* [3] */
		130,
		/* [4] */
		131
	}
};

resource 'vers' (1, purgeable) {
	0x0,
	0x0,
	release,
	0x0,
	verUS,
	"1.0",
	"ATP Demo - Version 1.0"
};

resource 'FREF' (128) {
	'APPL',
	0,
	""
};

data 'ATPD' (0) {
	$"2253 616D 706C 6520 4320 4170 706C 6963"            /* "Sample C Applic */
	$"6174 696F 6E20 2D20 5665 7273 696F 6E20"            /* ation - Version  */
	$"322E 30"                                            /* 2.0 */
};

resource 'BNDL' (128) {
	'ATPD',
	0,
	{	/* array TypeArray: 2 elements */
		/* [1] */
		'ICN#',
		{	/* array IDArray: 1 elements */
			/* [1] */
			0, 128
		},
		/* [2] */
		'FREF',
		{	/* array IDArray: 1 elements */
			/* [1] */
			0, 128
		}
	}
};


resource 'ICN#' (128) {
	{	/* array: 2 elements */
		/* [1] */
		$"0000 0000 0000 0000 0000 0000 0000 0000"
		$"0001 0000 0002 8000 0004 4000 0002 2000"
		$"0001 1000 6FFF 88FE 0000 0482 1BC0 0282"
		$"0000 04FE 06FF 8882 0001 1082 0002 2000"
		$"0104 40FE 0282 8010 0441 0010 0880 0010"
		$"1100 0010 23FF EC10 4000 0000 8007 B0FE"
		$"4000 0082 23FE C0FE 1100 0080 0880 0080"
		$"0440 0080 0280 0000 01",
		/* [2] */
		$"0000 0000 0000 0000 0000 0000 0000 0000"
		$"0001 0000 0003 8000 0007 C000 0003 E000"
		$"0001 F000 7FFF F8FE 3FFF FC82 1FFF FE82"
		$"0FFF FCFE 07FF F882 0001 F082 0003 E000"
		$"0107 C0FE 0383 8010 07C1 0010 0F80 0010"
		$"1F00 0010 3FFF FE10 7FFF FC00 FFFF F8FE"
		$"7FFF F082 3FFF E0FE 1F00 0080 0F80 0080"
		$"07C0 0080 0380 0000 01"
	}
};


data 'test' (128) {
	$"ED34 3339 0839 3837 9879 3837 9807 3987"            /* 439.987y87.9 */
	$"0938 3709 3837 9837 0937 9837 9807 3987"            /* 8787777.9 */
	$"3938 3709 3709 3837 3798 7987 0938 3709"            /* 9877877y87 */
	$"3938 3739 3739 3837 3938 3769 7579 6975"            /* 98797987987iuyiu */
	$"7975 7475 7974 7579 7274 7279 7472 7974"            /* yutuytuyrtrytryt */
	$"7974 6565 7579 7466 6862 6A61 3738 3639"            /* yteeuytfhbja7869 */
	$"3837 3734 3635 6867 7676 6D2C 6E62 6D62"            /* 877465hgvvm,nbmb */
	$"6A68 6668 6778 6665 7372 7465 7336 7264"            /* jhfhgxfesrtes6rd */
	$"3775 3666 3837 7467 3837 7467 6965 6769"            /* 7u6f87tg87tgiegi */
	$"7775 6766 773B 7562 6677 6B62 6965 7572"            /* wugfw;ubfwkbieur */
	$"6737 3339 3438 3479 7568 2769 776F 6975"            /* g739484yuh'iwoiu */
	$"776F 3536 3436 3877 6537 7236 7734 3638"            /* wo56468we7r6w468 */
	$"3736 7738 3736 7738 7237 7736 3867 3736"            /* 76w876w8r7w68g76 */
	$"3866 3736 6634 3667 6838 3736 3874 3736"            /* 8f76f46gh8768t76 */
	$"3633 3834 3536 3435 3477 3635 6634 7736"            /* 638456454w65f4w6 */
	$"6572 3436 3265 3535 3432 3635 3436 3566"            /* er462e554265465f */
	$"3462 6335 6E34 3676 356E 3476 3635 6D34"            /* 4bc5n46v5n4v65m4 */
	$"3666 3534 6636 356A 3475 3472 3675 3534"            /* 6f54f65j4u4r6u54 */
	$"3536 3536 3734 3536 3537 3436 3635 3734"            /* 5656745657466574 */
	$"3434 3435 3635 3436 7235 7434 3672 3574"            /* 44456546r5t46r5t */
	$"3468 3672 3574 3468 3672 7468 3472 3635"            /* 4h6r5t4h6rth4r65 */
	$"7468 3472 3635 6834 7236 3574 3472 3635"            /* th4r65h4r65t4r65 */
	$"7479 3472 3635 3734 3536 3536 3834 3638"            /* ty4r657456568468 */
	$"3534 3736 3835 3436 3935 3436 3534 3639"            /* 5476854695465469 */
	$"3635 3436 3635 3834 3538 3435 3635 3834"            /* 6546658458456584 */
	$"3537 3435 3635 3734 3536 3537 3435 3635"            /* 5745657456574565 */
	$"3734 3635 3436 3435 3436 3534 3435 3434"            /* 7465464546544544 */
	$"3436 3534 3436 3536 3535 3634 3635 3536"            /* 4654465655646556 */
	$"3635 3536 3436 3435 3634 3435 7972 7468"            /* 655646456445yrth */
	$"3534 7235 6A67 3468 366A 3534 7935 6936"            /* 54r5jg4h6j54y5i6 */
	$"3830 3439 366F 3534 7536 3534 6B36 7934"            /* 80496o54u654k6y4 */
	$"3679 3567 6834 6466 6777 666A 6163 6B61"            /* 6y5gh4dfgwfjacka */
	$"6E6C 6B32 3379 6934 3039 3338 3436 3236"            /* nlk23yi409384626 */
	$"3438 3731 3834 3739 3334 3832 3039 3334"            /* 4871847934820934 */
	$"3832 3933 3438 3732 3977 6975 6572 6575"            /* 829348729wiuereu */
	$"6C61 666A 736B 666A 6868 6568 6B6A 3039"            /* lafjskfjhhehkj09 */
	$"3338 3432 3033 3965 7577 7577 5B70 6A63"            /* 3842039euwuw[pjc */
	$"6D76 6E6D 6E2C 636D 6E7A 7662 3B64 6668"            /* mvnmn,cmnzvb;dfh */
	$"7772 6870 3338 2020 2070 2020 2020 2020"            /* wrhp38   p       */
	$"206F 3575 3230 3575 205B 6F69 7577 6F69"            /*  o5u205u [oiuwoi */
	$"7475 775B 3972 7530 3239 3334 3775 3239"            /* tuw[9ru029347u29 */
	$"205B 7520 5B67 7539 3374 7533 6A74 6A6B"            /*  [u [gu93tu3jtjk */
	$"6A73 2766 6A32 5B35 3938 376B 6466 686B"            /* js'fj2[5987kdfhk */
	$"666A 776F 6965 7577 6F6A 7769 6977 756F"            /* fjwoieuwojwiiwuo */
	$"7469 756F 6977 6A6F 6977 7438 3438 3979"            /* tiuoiwjoiwt8489y */
	$"3934 3868 6F69 6877 6F69 776F 6569 7577"            /* 948hoihwoiwoeiuw */
	$"6F65 6972 7577 6F69 7565 7269 7535 3839"            /* oeiruwoiueriu589 */
	$"3634 3539 3238 7963 2079 6968 6773 6966"            /* 645928yc yihgsif */
	$"6832 3337 3233 3834 3732 3338 3732 3539"            /* h237238472387259 */
	$"3837 3532 3439 3835 3277 6F69 7775 696F"            /* 875249852woiwuio */
	$"7775 6976 686B 766E 776C 6B68 6577 6F65"            /* wuivhkvnwlkhewoe */
	$"7275 3330 3439 3732 3330 3538 3239 3538"            /* ru30497230582958 */
	$"3935 3837 3439 3538 3439 3538 2D33 3437"            /* 958749584958-347 */
	$"3330 3439 3731 3334 7936 3567 3436 3567"            /* 30497134y65g465g */
	$"3436 3538 3774 3467 3665 3879 3436 3874"            /* 46587t4g6e8y468t */
	$"7934 6536 3436 7235 3167 3377 3574 3474"            /* y4e646r51g3w5t4t */
	$"3632 3638 3735 3434 3665 3535 7934 3636"            /* 626875446e55y466 */
	$"3438 3635 3439 3639 3034 3670 3534 363B"            /* 48654969046p546; */
	$"3435 5B34 3036 2D27 343D 3430 3D27 342D"            /* 45[406-'4=40='4- */
	$"3834 393B 3475 3634 7936 6A34 7479 3634"            /* 849;4u64y6j4ty64 */
	$"7234 3679 3834 3436 3536 3436 3436 6834"            /* r46y8446564646h4 */
	$"3664 6634 7136 6535 6637 7138 7237 7771"            /* 6df4q6e5f7q8r7wq */
	$"6572 3777 3665 7234 3677 6634 7336 3866"            /* er7w6er46wf4s68f */
	$"3473 3634 6736 3735 3838 3436 3635 3837"            /* 4s64g67588466587 */
	$"3634 3635 3837 3734 3638 7936 6572 3765"            /* 6465877468y6er7e */
	$"3638 7437 6536 7238 3339 3438 7575 686A"            /* 68t7e6r83948uuhj */
};

